
From: John Engel <jhe@us.ibm.com>:

Here's a fix for the 32-bit PTRACE_GETEVENTMSG ptrace call that handles the
passing of a 32-bit user address.  Please apply, thanks.

Signed-off-by: John Engel <jhe@us.ibm.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/ptrace32.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN arch/ppc64/kernel/ptrace32.c~ppc64-32-bit-ptrace-geteventmsg-fix arch/ppc64/kernel/ptrace32.c
--- 25/arch/ppc64/kernel/ptrace32.c~ppc64-32-bit-ptrace-geteventmsg-fix	Wed Aug  4 16:30:27 2004
+++ 25-akpm/arch/ppc64/kernel/ptrace32.c	Wed Aug  4 16:30:27 2004
@@ -404,7 +404,9 @@ int sys32_ptrace(long request, long pid,
 		break;
 	}
 
-
+       case PTRACE_GETEVENTMSG:
+                ret = put_user(child->ptrace_message, (unsigned int __user *) data);
+                break;
 
 	default:
 		ret = ptrace_request(child, request, addr, data);
_
